# 环境配置
server:
  port: 8086
  servlet:
    context-path: /api/junengtai

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
#      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: ounuo_user
    password: OUNUO123!
    url: jdbc:mysql://ounuo.raresoft.net:33306/TASK
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database: oracle
  hikari:
    pool-name: DateHikariCP
    minimum-idle: 0
    maximum-pool-size: 10
    idle-timeout: 30000
    max-lifetime: 120000          # 小于数据库超时大于业务执行返回时间[hikari默认30m, mysql默认10m]
    connection-timeout: 30000     # 数据库连接超时时间,默认30秒，即30000



  #    # 主库
#    primary:
#      username: root
#      password: mu123
#      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
#    # 从库
#    slave:
#      username: root
#      password: mu123
#      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava_slave?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
#  jpa:
#    hibernate:
#      ddl-auto: none      # JPA对表没有任何操作
#    show-sql: true
#    database: ORACLE
#    database-platform: org.hibernate.dialect.Oracle12cDialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk 钉钉
dingtalk:
  agentId: 4074144499
  appKey: ding21enhh8fzggqyuwu
  appSecret: PemxcBGHaEa083YRQt_q2jjGIYBATmw9ddXr6bYtFEkuBHTdqOD5NbYDj12b9-ua
  corpId: dingfa48ac9cae50fe6ba1320dcb25e91351
  aesKey:
  token:
  operator: 33205115111170152911   # OA管理员账号：鲜明阳 [0开头需要转一下字符串]

# aliwork 宜搭
aliwork:
  appType: APP_NJPKQLYOZNQ7P3JNCW6T
  systemToken: S4E66I8119TYN5WO6MISKDTDJV5C2FWX24FFM0I

# MyBatis配置
mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.malk.junengtai.entity
  configuration:
    map-underscore-to-camel-case: true

#定时器
enable:
  scheduling: true